IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Capacity groups

Distinct groups that can occupy units. Useful for configuring separate prices & limits for adult / children / pets.

The capacity group object

Attributes

iduuid

Unique identifier

organization_iduuid
organizations.id

Identifier of the related organization

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

descriptionMultiLanguageString

Localized description

nameMultiLanguageString

Localized name

name_singularMultiLanguageString

Localized singular name

orderinteger

Order to display the capacity group in

requires_explicit_inputboolean

Whether guests need to explicitly fill in the capacity before booking

type"manual" | "sum"

Type of the capacity group

The capacity group object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:19:01.541Z",
  "updated_at": "2026-03-12T05:19:01.541Z",
  "description": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "name": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "name_singular": {
    "default": "Hello",
    "nl-NL": "Hallo"
  },
  "order": 1,
  "requires_explicit_input": false,
  "type": "manual"
}

List capacity groups

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the related organization

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

descriptionFilter<MultiLanguageString>

Localized description

nameFilter<MultiLanguageString>

Localized name

name_singularFilter<MultiLanguageString>

Localized singular name

orderFilter<integer>

Order to display the capacity group in

requires_explicit_inputFilter<boolean>

Whether guests need to explicitly fill in the capacity before booking

typeFilter<"manual" | "sum">

Type of the capacity group

Responses

200

A list of capacity groups with the selected columns

206

Partial Content

GET /capacity_groups
curl -X GET "https://api.bookingmood.com/v1/capacity_groups?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create capacity groups

Body

Partial<CapacityGroup> | Array<Partial<CapacityGroup>>

Responses

201

The newly created capacity groups with the selected columns

POST /capacity_groups
curl -X POST "https://api.bookingmood.com/v1/capacity_groups" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete capacity groups

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the related organization

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

descriptionFilter<MultiLanguageString>

Localized description

nameFilter<MultiLanguageString>

Localized name

name_singularFilter<MultiLanguageString>

Localized singular name

orderFilter<integer>

Order to display the capacity group in

requires_explicit_inputFilter<boolean>

Whether guests need to explicitly fill in the capacity before booking

typeFilter<"manual" | "sum">

Type of the capacity group

Responses

204

The deleted capacity groups with the selected columns

DELETE /capacity_groups
curl -X DELETE "https://api.bookingmood.com/v1/capacity_groups" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update capacity groups

Filters

idFilter<uuid>

Unique identifier

organization_idFilter<uuid>
organizations.id

Identifier of the related organization

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

descriptionFilter<MultiLanguageString>

Localized description

nameFilter<MultiLanguageString>

Localized name

name_singularFilter<MultiLanguageString>

Localized singular name

orderFilter<integer>

Order to display the capacity group in

requires_explicit_inputFilter<boolean>

Whether guests need to explicitly fill in the capacity before booking

typeFilter<"manual" | "sum">

Type of the capacity group

Body

Partial<CapacityGroup>

Responses

204

The updated capacity groups with the selected columns

PATCH /capacity_groups
curl -X PATCH "https://api.bookingmood.com/v1/capacity_groups" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'